Sites

GET /sites

View sites. Requires sites.read permission.

Query parameters

Name Type Required Description
search string no Search by name and/or postalAddress
fields[] string[] no Select which fields to include in the response. When omitted, all fields are returned. When provided, only the specified fields are included. (e.g., ?fields[]=id&fields[]=name) One of: country, createdAt, description, id, latitude, line1, line2, longitude, name, postalAddress, postalCode, updatedAt.
with[] string[] no Include related resources in the response. Pass multiple values as separate query parameters (e.g., ?with[]=createdBy&with[]=updatedBy). One of: createdBy, updatedBy.
orderBy string no Field to order by One of: id, name, createdAt, updatedAt.
order string no Specifies in what direction the results should be ordered (ASC/DESC) One of: asc, desc.
count integer no Specifies the number of results to show per page of paginated results (1-500)

Responses

Status Description
200 A paginated response of sites

Response 200 body

  • data object[] · required
  • links object · required
  • meta object · required
{
    "data": [
        {
            "id": "019222d4-1d93-7d47-a3c4-b547e009a0f7",
            "country": "SWE",
            "createdAt": "2024-06-30T19:00:00Z",
            "createdBy": {
                "id": "019222d9-d87d-7724-bba6-ba91503ea311",
                "firstName": "John",
                "lastName": "Doe"
            },
            "description": "Main office location",
            "latitude": 59.3293,
            "line1": "Drottninggatan 95",
            "line2": "4th Floor",
            "longitude": 18.0686,
            "name": "Stockholm Office",
            "postalAddress": "Stockholm",
            "postalCode": "111 60",
            "updatedAt": "2024-06-30T19:00:00Z",
            "updatedBy": {
                "id": "019222d9-d87d-7724-bba6-ba91503ea311",
                "firstName": "John",
                "lastName": "Doe"
            }
        }
    ],
    "links": {
        "first": "https://api.safesites.app/sites?page=1",
        "last": "https://api.safesites.app/sites?page=10",
        "prev": null,
        "next": "https://api.safesites.app/sites?page=2"
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 10,
        "links": [
            {
                "url": "https://api.safesites.app/sites?page=2",
                "label": "Next",
                "active": true
            }
        ],
        "path": "https://api.safesites.app/sites",
        "per_page": 100,
        "to": 100,
        "total": 1000,
        "userId": "01930a9b-7b61-79a5-9ba2-78f0b4b2c196",
        "requestId": "01930a9b-8d1f-766f-945c-ef6408134dbc"
    }
}